<?php

// Make sure we don't expose any info if called directly
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

/*
 * Register main Scripts and Styles
 */
function xtcore_admin_register() {

	// CSS
	wp_register_style( 'keremiya-style', plugins_url( '/style.css', __FILE__ ), array(), XXXTHEMES_VERSION, 'all' ); 

	// JS
    wp_register_script( 'keremiya-checkbox',	plugins_url( '/js/checkbox.min.js', __FILE__ ),	array( 'jquery' ) , XXXTHEMES_VERSION , false );  
    wp_register_script( 'keremiya-main',		plugins_url( '/js/keremiya.js', __FILE__ ), 		array( 'jquery' ) , XXXTHEMES_VERSION , false );  
    wp_register_script( 'keremiya-tipsy',		plugins_url( '/js/jquery.tipsy.js', __FILE__ ),	array( 'jquery' ) , XXXTHEMES_VERSION , false );
	wp_register_script( 'keremiya-colorpicker', plugins_url( '/js/colorpicker.js', __FILE__ ),	array( 'jquery' ) , XXXTHEMES_VERSION , false );

	// Enqueue CSS
	wp_enqueue_style( 'keremiya-style' );
	// Enqueue JS
	wp_enqueue_script( 'keremiya-main' );
	
	if ( isset( $_GET['page'] ) && ( $_GET['page'] == sanitize_title(XXXTHEMES_NAME) . '_panel' || $_GET['page'] == sanitize_title(XXXTHEMES_NAME) . '_dashboard' ) ) {

		wp_enqueue_script( 'keremiya-tipsy' );
		wp_enqueue_script( 'jquery-ui-resizable' );

		wp_enqueue_script( 'keremiya-colorpicker');  
		wp_enqueue_script( array( 'jquery-ui-core', 'jquery-ui-widget', 'jquery-ui-mouse', 'jquery-ui-sortable' ) );  
		wp_enqueue_script( 'keremiya-checkbox' ); 
	}

}
add_action( 'admin_enqueue_scripts', 'xtcore_admin_register' ); 

/*
 * To change Insert into Post Text
 */
function xtcore_options_setup() {
    global $pagenow;  
	
    if ( 'media-upload.php' == $pagenow || 'async-upload.php' == $pagenow )
        add_filter( 'gettext', 'xtcore_replace_thickbox_text'  , 1, 3 ); 
} 
add_action( 'admin_init', 'xtcore_options_setup' ); 

/*
 * Replace Text
 */
function xtcore_replace_thickbox_text($translated_text, $text, $domain) { 
    if ('Insert into Post' == $text) { 
	
        $referer = strpos( wp_get_referer(), 'keremiya-settings' );
        if ( $referer != '' )
            return __('Use this image'); 
    }  
    return $translated_text;  
}  

/*
 * Clean options before store it in DB
 */
function xtcore_clean_options(&$value) {
  $value = htmlspecialchars(stripslashes($value));
}
function xtcore_clean_imported_options(&$value) {
  $value = htmlspecialchars_decode( $value );
}

/*
 * Save Theme Settings
 */
function xtcore_save_settings ( $data , $refresh = 0 ) {
	/*
	 * Options Array
	 */
	$array_options = 
		array(
			sanitize_key(theme_name) . "_options"
		);
		
	foreach( $array_options as $option ){

		//if( isset( $data[$option] )){
			array_walk_recursive( $data[$option] , 'xtcore_clean_options');
			update_option( $option, $data[$option] );
		//}
	}

	if( $refresh == 2 )  die('2');
	elseif( $refresh == 1 )	die('1');
}

/*
 * Save Options
 */
add_action('wp_ajax_test_theme_data_save', 'xtcore_save_ajax');
function xtcore_save_ajax() {
	
	check_ajax_referer('xtcore-data', 'security');

	$data = $_POST;
	$refresh = 1;

	if( !empty( $data['xtcore_import'] ) ){
		$refresh = 2;
		$data = unserialize(base64_decode( $data['xtcore_import'] ));
		array_walk_recursive( $data , 'xtcore_clean_imported_options');
	}

	xtcore_save_settings ($data , $refresh );
}

/*
 * Add Panel Page
 */
function xtcore_add_admin() {

	$current_page = isset( $_REQUEST['page'] ) ? $_REQUEST['page'] : '';
	$theme_name = defined('theme_name') ? theme_name : '';
	$plugin_name = XXXTHEMES_NAME;
	
    $plugin_page = add_menu_page($plugin_name, $plugin_name, 'manage_options', sanitize_title($plugin_name) . '_dashboard', 'xtcore_plugin_options', 'dashicons-admin-generic', 100 );

    add_submenu_page(sanitize_title($plugin_name) . '_dashboard', $plugin_name, __('Dashboard'), 'manage_options', sanitize_title($plugin_name) . '_dashboard', 'xtcore_plugin_options');

    if( ! $theme_name )
    	return false;

	$theme_page = add_submenu_page(sanitize_title($plugin_name) . '_dashboard', $theme_name.' '.__('Settings'), __('Theme Settings'), 'manage_options', sanitize_title($plugin_name) . '_panel', 'xtcore_panel_options');

	add_action( 'admin_head-'. $theme_page, 'xtcore_admin_head' );
	function xtcore_admin_head(){
	
	?>
	<script type="text/javascript">

		function panel_submitform() {
			var data = jQuery('#xtcore_form').serialize();

				  jQuery.post("<?php echo admin_url('admin-ajax.php') ?>", data, function(response) {
					  if(response == 1) {
						  jQuery('#save-alert').addClass('save-done');
						  t = setTimeout('fade_message()', 1000);
					  }
					else if( response == 2 ){
						location.reload();
					}
					else {
						 jQuery('#save-alert').addClass('save-error');
						  t = setTimeout('fade_message()', 1000);
					  }
				  });

			return false;
		}

		function fade_message() {
			jQuery('#save-alert').fadeOut(function() {
				jQuery('#save-alert').removeClass('save-done');
			});
			clearTimeout(t);
		}
				

		jQuery(function() {
			jQuery( "#cat_sortable" ).sortable({
				placeholder: "ui-state-highlight",
				connectWith: ".connectedSortable",
				revert: true,
				start: function(e, ui){
					ui.placeholder.height(ui.item.height());
				},
			});
		});

		jQuery(document).ready(function($) {	

		  jQuery('.on-of').checkbox({empty:'<?php echo plugins_url( '/images/empty.png', __FILE__ ); ?>'});
		  
		});
	</script>
	<?php
		wp_print_scripts('media-upload');
		wp_enqueue_script('thickbox');
		wp_enqueue_style('thickbox');
		do_action('admin_print_styles');
	}
	
	if( isset( $_REQUEST['action'] ) ){
		if( 'reset' == $_REQUEST['action'] && $current_page == sanitize_title(XXXTHEMES_NAME) . '_panel' && check_admin_referer('reset-action-code' , 'resetnonce') ) {
			global $default_data;
			xtcore_save_settings( $default_data );
			header("Location: admin.php?page=". sanitize_title(XXXTHEMES_NAME) . '_panel' ."&reset=true");
			die;
		}
	}
}
add_action('admin_menu', 'xtcore_add_admin');

function xtcore_plugin_site_logo() {
    echo '
    <div class="plugin-logo">
        <a href="'. xtcore_plugin_site_url() .'" target="_blank"><img src="'. XXXTHEMES__PLUGIN_DIR_URI .'panel/images/logo.png"></a>
    </div>
    ';
}

function xtcore_plugin_tabs() {
    $current_page = isset( $_REQUEST['page'] ) ? $_REQUEST['page'] : '';
    $dashboard_id = sanitize_title(XXXTHEMES_NAME) . '_dashboard';
    $panel_id = sanitize_title(XXXTHEMES_NAME) . '_panel';
    ?>
    <?php xtcore_plugin_site_logo(); ?>
    <div class="plugin-tabs">
        <a href="<?php echo admin_url('admin.php?page='. $dashboard_id); ?>" class="plugin-tab <?php echo( $current_page == $dashboard_id ? 'current_item' : '' ) ?>"><?php _e('Dashboard'); ?></a>
        <?php if( defined( 'theme_name' ) ): ?>
        <a href="<?php echo admin_url('admin.php?page='. $panel_id); ?>" class="plugin-tab <?php echo( $current_page == $panel_id ? 'current_item' : '' ) ?>"><?php _e('Theme Settings'); ?></a>
        <?php endif; ?>
    </div>
    <?php

}

function xtcore_plugin_options() {

    xtcore_plugin_tabs();
    ?>
    <div class="plugin-body clearfix">
    <div class="empty-license-tab linear-background"></div>
    <?php plugin_options(); ?>
    </div>
    <div class="plugin-footer">
        Thank you for creating with <a href="<?php echo xtcore_plugin_site_url(); ?>" target="_blank"><?php echo XXXTHEMES_NAME; ?></a>.
    </div>
    <?php
}

function xtcore_panel_options() {

    xtcore_plugin_tabs();
    ?>
    <div class="plugin-body clearfix">
    <div class="empty-license-tab linear-background"></div>
    <?php panel_options(); ?>
    </div>
    <div class="plugin-footer">
        Thank you for creating with <a href="<?php echo xtcore_plugin_site_url(); ?>" target="_blank"><?php echo XXXTHEMES_NAME; ?></a>.
    </div>
    <?php
}

function keremiya_get_icon_css_url() {
	return get_template_directory_uri() . '/assets/css/all.min.css';
}
function keremiya_get_icon_list() {
	$icons = file_get_contents( keremiya_get_icon_css_url() );

	preg_match_all('/(.*?)\:before/', $icons, $matches);

	if( !empty( $matches['1'] ) ) {
		unset($matches['1']['0']);
		return $matches['1'];
	}

	return false;
}

function keremiya_icon_list() {

	$icons = keremiya_get_icon_list();

	if( ! $icons )
		return false;

	$output = '';
	foreach ($icons as $class) {
		$class = explode('.', $class);
		$output .= '<span class="' . $class['1'] . '"></span>';
	}

	return $output;
}

function keremiya_icon_list_popup() {
	echo '<div class="icon-list-popup" data-selector="">';
	echo '<div class="icon-list-close">x</div>';
	echo '<div class="icon-list-items">';
	echo keremiya_icon_list();
	echo '</div>';
	echo '</div>';
}

function keremiya_add_icon_popup() {
	keremiya_icon_list_popup();
}
add_action( 'admin_footer', 'keremiya_add_icon_popup' );

function keremiya_add_icon_font() {
	wp_enqueue_style( 'keremiya-icons', keremiya_get_icon_css_url(), array(), '1.0.0');
}
add_action( 'admin_enqueue_scripts', 'keremiya_add_icon_font' ); 


/* Wp admin bar drop-down customized GDPR menu */
add_action( 'admin_bar_menu', 'menu_gdpr_admin', 999 );
 
function menu_gdpr_admin( $wp_admin_bar ) {
	$plugin_name = XXXTHEMES_NAME;
	$args = array(
		'id'    => sanitize_title($plugin_name),
		'title' => '<span class="ab-icon dashicons-before dashicons-admin-generic" style="margin-top:2px" aria-hidden="true"></span> ' . $plugin_name,
		'href'  => admin_url('admin.php?page=') . sanitize_title($plugin_name) . '_dashboard',
	 );
	$wp_admin_bar->add_node( $args );
	 
	$args = array(
		'id'    => sanitize_title($plugin_name) . '_dashboard',
		'title' => 'Dashboard',
		'href'  => admin_url('admin.php?page=') . sanitize_title($plugin_name) . '_dashboard',
		'parent' => sanitize_title($plugin_name)
	);
	 $wp_admin_bar->add_node( $args );
	 
		$args = array(
		'id'    => sanitize_title($plugin_name) . '_panel',
		'title' => 'Theme Settings',
		'href'  => admin_url('admin.php?page=') . sanitize_title($plugin_name) . '_panel',
		'parent' => sanitize_title($plugin_name)
		);
	$wp_admin_bar->add_node( $args );
 
}

?>