jQuery( document ).ready(function( $ ) {
	// Delay
	var delay = (function(){
		var timer = 0;
		return function(callback, ms){
			clearTimeout (timer);
			timer = setTimeout(callback, ms);
		}
	})();
	var sL10n = {
		id: '.search-items',
		change: '',
		api: ajaxurl,
		area: '.live-search',
		button: '.live-search-icon',
		nonce: '',
		action: 'keremiya_admin_live_search',
	};

	// Request
	var searchRequest = false,
		enterActive = true;

	// Input Change Event
	$(document).on("input", sL10n.id, function() {
		var s = this.value,
			target = $(this).parent();

		// 500 SS Delay
		delay(function(){

			// If input value
			if( s.length < 2 ) {

				target.find(sL10n.area).hide();
				target.find(sL10n.button).find('span').removeClass('icon-spinner1').removeClass('animate-spin');

				return;
			}

		// Request
		if(!searchRequest) {
	    	// True
	    	searchRequest = true;

			// Loader
			target.find(sL10n.button).addClass('dashicons-update').addClass('animate-spin');
			target.find(sL10n.area).find('ul').addClass('process').addClass('noselect');

			var data = {
				action: sL10n.action,
				keyword: s,
				nonce: sL10n.nonce,
			};

			// GET AJAX
			$.ajax({
		      type:'post',
		      url: sL10n.api,
		      data: data,
		      dataType: "json",
		      success: function(e){
				if( e['error'] ) {
					target.find(sL10n.area).show();
					target.find(sL10n.area).html('<ul>'+ e['title'] + '</ul>');
					
				} else {
					// Show Content
					target.find(sL10n.area).show();
					// Items Array
					var items = [];

					$.each( e, function( key, val ) {
					   	items.push( "<li data-id='" + key + "' data-title='" + val['title'] + "'><input class='radio-select' name='radio_" + key + "' type='checkbox' value='1'>" + val['title'] + " <span class='type'>" + val['type'] + "</span></li>" );
					});

					// Add content
					target.find(sL10n.area).html('<ul>' + items.join( "" ) + '</ul>');
				}
				target.find(sL10n.area).find('ul').append('<div class="close">Close</span>');
			  },
				complete: function() {
					// False
			      	searchRequest = false;
			      	// Enter active
			      	enterActive = false;
			      	// Remove Loader
					target.find(sL10n.button).removeClass('dashicons-update').removeClass('animate-spin');
					target.find(sL10n.area).find('ul').removeClass('process').removeClass('noselect');
				}
		   	});
		} // Search Request
		}, 500 ); // Delay

	}); // Input


	$(document).on('click', sL10n.area + ' li', function() {      
		
		var title = $(this).attr('data-title'),
			id = $(this).attr('data-id'),
			selected = $(this).find('input'),
			target = $(this).parent().parent().parent();

		if( id ) {
			target.find(sL10n.id).val(id);
		}

		target.find(sL10n.area).hide();

		$(selected).prop('checked', true);
		$('.radio-select').not($(selected)).prop('checked', false);
	});

	$(document).on('click', sL10n.area + ' .close', function() {      
		
		$(this).parent().parent().hide();

	});

	$(document).on('click', '.radio-select', function() {      
	    $('.radio-select').not(this).prop('checked', false);      
	});
});