<?php
// Make sure we don't expose any info if called directly
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

add_action('wp_ajax_keremiya_admin_live_search', 'keremiya_admin_live_search');
function keremiya_admin_live_search() {

    // DATA
    $k = $_POST['keyword'];
    $n = $_POST['nonce'];

    $keyword = keremiya_clear( $k );
    $nonce = keremiya_clear( $n );

    //if( !keremiya_verify_nonce( 'keremiya_search-nonce', $nonce ) ) return array( 'error' => 'no_verify_nonce', 'title' => __('Güvenlik hatası var gibi görünüyor.') );
    if( !isset( $keyword ) || empty($keyword) ) $error = array( 'error' => 'no_parameter_given' );
    if( strlen( $keyword ) <= 1 ) $error = array( 'error' => 'keyword_not_long_enough', 'title' => __('The word is at least two characters long.') );
    if( ! is_admin() ) $error = array( 'error' => 'disabled', 'title' => __('Access Denied.') );

    if( isset( $error['error'] ) ) {
        echo json_encode( $error );
        die();
    }

    $args = array(
        's' => $keyword,
        'post_type' => array('post', 'page', 'product'),
        'posts_per_page' => 8,
    );
    // The Query
    $query = new WP_Query( $args );

    if ( $query->have_posts() ) {

        $data = array();
        while ( $query->have_posts() ) {
            $query->the_post();

            global $post;

            $data[$post->ID]['title'] = (keremiya_get_meta('product_short_name') ? keremiya_get_meta('product_short_name'). ' ' : '') . get_the_title();
            $data[$post->ID]['url'] = get_the_permalink();
            $data[$post->ID]['type'] = get_post_type();
        }

        /* Restore original Post Data */
        wp_reset_postdata();

        $output = json_encode($data);

    } else {
        $output = json_encode( array( 'error' => 'no_posts', 'title' => __('Content not found.') ) );
    }

    echo $output;
    die();
}

?>